<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.progressoft.devops</groupId>
    <artifactId>assignment</artifactId>
    <version>0.0.1-SNAPSHOT</version>

    <parent> <!-- Fix: parents used instead of parent and was changed to parent -->
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.2.4.RELEASE</version>
    </parent>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <java.version>1.8</java.version>
        <maven-jar-plugin.version>3.1.0</maven-jar-plugin.version>
    </properties>  <!-- Fix: this closing tag was missing and was added-->
    <build>
	    <finalName>${git.commit.time}-${git.commit.id.abbrev}</finalName> <!--To change the final package filename -->
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <includeSystemScope>true</includeSystemScope>
                    <executable>false</executable>
                </configuration>
	</plugin>
        
	<!--Using Git Commit ID Plugin for naming the package -->
	<plugin>
	<groupId>pl.project13.maven</groupId>
	<artifactId>git-commit-id-plugin</artifactId>
	<version>4.0.0</version>
	<executions>
		<execution>
			<id>get-the-git-infos</id>
			<goals>
				<goal>revision</goal>
			</goals>
		</execution>
	</executions>
	<configuration>
		<dateFormat>yyyyMMdd</dateFormat>
		<dotGitDirectory>${project.basedir}/.git</dotGitDirectory>
		<prefix>git</prefix>
		<verbose>false</verbose>
		<abbrevLength>8</abbrevLength>
		<generateGitPropertiesFile>true</generateGitPropertiesFile>
		<generateGitPropertiesFilename>${project.build.outputDirectory}/git.properties</generateGitPropertiesFilename>
		<format>json</format>
		<gitDescribe>
			    <skip>false</skip>
			        <always>false</always>
				    <dirty>-dirty</dirty>
			    </gitDescribe>
		    </configuration>
	    </plugin>

    </plugins>

    </build> <!-- Fix: this closing tag for build tag was missing and was added -->
    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-jpa</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <version>8.0.19</version>
        </dependency>

        <dependency>
            <groupId>com.h2database</groupId>
            <artifactId>h2</artifactId>
        </dependency>

        <dependency>
            <groupId>io.micrometer</groupId>
            <artifactId>micrometer-registry-prometheus</artifactId>
        </dependency>
        <dependency>
            <groupId>org.junit.jupiter</groupId>
            <artifactId>junit-jupiter</artifactId>
            <scope>test</scope>
        </dependency>

    </dependencies>

    <!--</build> Fix: this closing tag for build tag is in wrong place and is removed -->

</project>
